ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Soesemann" <rsoesem...@sapient.com>
Subject Use Saxon8 in xslt task
Date Tue, 07 Dec 2004 14:32:04 GMT
I have my Ant pipeline running inside Eclipse. For some xslt tasks I
need to use the optional Saxon 8 XSLT 2.0 processor.
I add the path inside the xslt tasks via classpath and processor
parameter:

E.g.:

    	<xslt basedir="${dir}" 
    		  destdir="${split_dir}" 
        	  classpath="${lib_dir}\saxon8.jar"
              processor="trax"
    		  style="${xsl_dir}\split-document.xsl"
	/>

And it just works.

But when i run the Ant build outside of Eclipse with another Ant (same
version) the build fails because the XSLT features get passed to a wrong
processor. 

What is the best way to tell Ant that it should use saxon8.jar? I don't
want to just copy the jar to the ant/lib. Is there a general <classpath>
task to add external jars to the Ant classpath? 

Regards,

Robert


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message